mobs:register_mob("mob_mogall:mogall", {
	type = "monster",
	passive = false,
	suicidal=true,
	attacks_monsters = true,
	damage = 2,
	reach = 2,
	attack_type = "dogfight",
	hp_max = 40,
	collisionbox = {-0.5, -0, -0.5, 0.5, 1, 0.5},
	visual = "mesh",
	mesh = "mogall.b3d",
	textures = {
		{"mogall.png"},
	},
	visual_size = {x=4, y=4},
	makes_footstep_sound = false,
	walk_velocity = 1,
	run_velocity = 4,
	fly = true,
	fall_speed = 0,
	stepheight = 1,
	view_range = 24,
	animation = {
		speed_normal = 5,
		speed_run = 6,
		walk_start = 20,
		walk_end = 60,
		stand_start = 1,
		stand_end = 20,
		run_start = 20,
		run_end = 60,
		punch_start = 20,
		punch_end = 60,
	},
	env_dmg={["melding:node"]=-1},
--[[
	on_die = function(self, pos)
		self.object:remove()
		mobs:explosion(pos, 2)
	end,
]]
})

--[[
mobs:spawn({
	name = "mob_mogall:mogall",
	nodes = "melding:node",
	neighbors={"air"},
	chance = 4,
	interval=307,
})
]]
